Skip to content

Update business ultimate owners

Request

Replaces the entire collection of ultimate beneficial owners in the business profile.

Returns the list of all ultimate beneficial owners associated with the business profile.

Security
UserToken
Path
profileIdinteger, (int64)required

Business profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
Array [
namestringrequired

Owner full name.

Example:"John Doe"
dateOfBirthstringrequired

Date of birth.

Example:"1982-05-20"
countryOfResidenceIso3Codestringrequired

3 character country code.

Example:"usa"
addressFirstLinestring

First line of address.

Example:"123 Fake St"
postCodestring

Address post code.

Example:"FK 12345"
documentTypestring

Identification document type.

Enum:"PASSPORT""NATIONAL_ID""RESIDENCE_PERMIT""DRIVING_LICENSE""CPF"
Example:"PASSPORT"
documentIdstring

Document number or identifier.

Example:"AA299822313"
documentCountryIso3Codestring

Document issuing country as an ISO 3166-1 alpha-3 code.

Example:"usa"
nationalitystring

Nationality as an ISO 3166-1 alpha-2 or alpha-3 country code.

Example:"usa"
emailstring, [ 1 .. 255 ] characters^.+@.+$

Owner email address.

Example:"john.doe@example.com"
placeOfBirthCitystring

City of birth. Required if the business profile's registered address is in the EU or EEA. Maximum 255 characters.

Example:"London"
placeOfBirthCountryIso3Codestring

Country of birth as an ISO 3166-1 alpha-3 code. Required if the business profile's registered address is in the EU or EEA.

Example:"gbr"
citystring

City of residential address. Required if countryOfResidenceIso3Code is usa. Maximum 255 characters.

Example:"Phoenix"
statestring

State or region of residential address. Required if countryOfResidenceIso3Code is usa. Maximum 32 characters.

Example:"AZ"
ownershipPercentageinteger or null, (int32)

Percentage of ownership.

Example:30
]
curl -i -X PUT \
  'https://api.wise.com/2026Q4/profiles/{profileId}/ubos' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '[
    {
      "name": "John Doe",
      "dateOfBirth": "1982-05-20",
      "countryOfResidenceIso3Code": "usa",
      "addressFirstLine": "123 Fake St",
      "postCode": "FK 12345",
      "documentType": "PASSPORT",
      "documentId": "AA299822313",
      "documentCountryIso3Code": "usa",
      "nationality": "usa",
      "email": "john.doe@example.com",
      "placeOfBirthCity": "London",
      "placeOfBirthCountryIso3Code": "gbr",
      "city": "Phoenix",
      "state": "AZ",
      "ownershipPercentage": 30
    },
    {
      "name": "Jane Doe",
      "dateOfBirth": "1981-12-07",
      "countryOfResidenceIso3Code": "usa",
      "addressFirstLine": "125 Fake St",
      "postCode": "FK 12545",
      "documentType": "DRIVING_LICENSE",
      "documentId": "DL12345",
      "documentCountryIso3Code": "usa",
      "nationality": "usa",
      "email": "jane.doe@example.com",
      "placeOfBirthCity": "London",
      "placeOfBirthCountryIso3Code": "gbr",
      "city": "Phoenix",
      "state": "AZ",
      "ownershipPercentage": 70
    }
  ]'

Responses

List of all ultimate beneficial owners associated with the business profile.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Array [
idstring

ID of the ultimate beneficial owner.

Example:"013ab1c2688d0185b582ee7e0bcb28b2"
namestring

Owner full name.

Example:"John Doe"
dateOfBirthstring

Date of birth.

Example:"1982-05-20"
countryOfResidenceIso3Codestring

3 character country code.

Example:"usa"
addressFirstLinestring

First line of address.

Example:"123 Fake St"
postCodestring

Address post code.

Example:"FK 12345"
citystring

City of residential address.

Example:"Phoenix"
statestring

State or region of residential address.

Example:"AZ"
ownershipPercentageinteger or null, (int32)

Percentage of ownership.

Example:30
]
Response
[ { "id": "ff01cf3f206b40c090a14a1e51163e9e", "name": "John Doe", "dateOfBirth": "1982-05-20", "countryOfResidenceIso3Code": "usa", "addressFirstLine": "123 Fake St", "postCode": "FK 12345", "city": "Phoenix", "state": "AZ", "ownershipPercentage": 30 }, { "id": "c36b687d28ad44ad8c3864411f5f2612", "name": "Jane Doe", "dateOfBirth": "1981-12-07", "countryOfResidenceIso3Code": "usa", "addressFirstLine": "125 Fake St", "postCode": "FK 12545", "city": "Phoenix", "state": "AZ", "ownershipPercentage": 70 } ]